curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/agents \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "John Doe",
"email": "[email protected]",
"role": "agent"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'John Doe', email: '[email protected]', role: 'agent'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/agents"
payload = {
"name": "John Doe",
"email": "[email protected]",
"role": "agent"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"account_id": 123,
"availability_status": "online",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>",
"custom_role_id": 123,
"system_role": "commercial"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Add a New Agent
Add a new Agent to Account
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/agents \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "John Doe",
"email": "[email protected]",
"role": "agent"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'John Doe', email: '[email protected]', role: 'agent'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/agents"
payload = {
"name": "John Doe",
"email": "[email protected]",
"role": "agent"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"account_id": 123,
"availability_status": "online",
"auto_offline": true,
"confirmed": true,
"email": "<string>",
"available_name": "<string>",
"name": "<string>",
"role": "agent",
"thumbnail": "<string>",
"custom_role_id": 123,
"system_role": "commercial"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Body
Full Name of the agent
"John Doe"
Email of the Agent
Whether its administrator or agent
agent, administrator "agent"
The configured availability of the agent.
online, busy, offline "online"
Whether the agent is automatically marked offline when they are away.
true
Rol de sistema del miembro en la cuenta. Convive con role (agent | administrator) y custom_role_id. Null ok.
commercial, marketing, service, legal, treasury, accounting, commercial_admin, service_admin, administrative_admin ID del rol personalizado. Envíalo junto con system_role al crear o actualizar el agente.
Response
Success
The effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests.
online, busy, offline Whether the agent is automatically marked offline when they are away.
Whether the agent has confirmed their email address.
The email of the agent
The available name of the agent
The name of the agent
The role of the agent
agent, administrator The thumbnail of the agent
The custom role id of the agent
Rol de sistema del miembro en la cuenta. Convive con role (agent | administrator) y custom_role_id. Null ok.
commercial, marketing, service, legal, treasury, accounting, commercial_admin, service_admin, administrative_admin Was this page helpful?